<?xml version="1.0"?>
<rdf:RDF xmlns="http://www.semanticweb.org/ontologies/ntua/iccs/dbschema#"
     xml:base="http://www.semanticweb.org/ontologies/ntua/iccs/dbschema"
     xmlns:dc="http://purl.org/dc/elements/1.1/"
     xmlns:owl="http://www.w3.org/2002/07/owl#"
     xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#"
     xmlns:xml="http://www.w3.org/XML/1998/namespace"
     xmlns:xsd="http://www.w3.org/2001/XMLSchema#"
     xmlns:rdfs="http://www.w3.org/2000/01/rdf-schema#"
     xmlns:dbschema="http://www.semanticweb.org/ontologies/ntua/iccs/dbschema#">
    <owl:Ontology rdf:about="http://www.semanticweb.org/ontologies/ntua/iccs/dbschema">
        <dc:creator>Institute of Communications and Computer Systems of National Technical University of Athens - ICCS/NTUA</dc:creator>
        <dc:date>Date: 20/10/2014</dc:date>
        <rdfs:comment>It organizes ontological elements produced from the schema of a relational databases in broader categories based on the purpose they serve.</rdfs:comment>
        <rdfs:label>Ontological Representation - Upper Ontology</rdfs:label>
        <rdfs:seeAlso>DB Schema to OWL tool, available at http://ponte.grid.ece.ntua.gr:8080/DbSchemaToOwl/</rdfs:seeAlso>
        <owl:versionInfo>Version 0.5</owl:versionInfo>
    </owl:Ontology>
    


    <!-- 
    ///////////////////////////////////////////////////////////////////////////////////////
    //
    // Annotation properties
    //
    ///////////////////////////////////////////////////////////////////////////////////////
     -->

    


    <!-- http://purl.org/dc/elements/1.1/creator -->

    <owl:AnnotationProperty rdf:about="http://purl.org/dc/elements/1.1/creator"/>
    


    <!-- http://purl.org/dc/elements/1.1/date -->

    <owl:AnnotationProperty rdf:about="http://purl.org/dc/elements/1.1/date"/>
    


    <!-- http://www.semanticweb.org/ontologies/ntua/iccs/dbschema#dbDataType -->

    <owl:AnnotationProperty rdf:about="http://www.semanticweb.org/ontologies/ntua/iccs/dbschema#dbDataType">
        <rdfs:comment>The SQL DATA TYPE</rdfs:comment>
        <rdfs:label>SQL Data Type</rdfs:label>
        <rdfs:subPropertyOf rdf:resource="http://www.w3.org/2000/01/rdf-schema#label"/>
    </owl:AnnotationProperty>
    


    <!-- http://www.semanticweb.org/ontologies/ntua/iccs/dbschema#dbField -->

    <owl:AnnotationProperty rdf:about="http://www.semanticweb.org/ontologies/ntua/iccs/dbschema#dbField">
        <rdfs:comment>The name or FIELD</rdfs:comment>
        <rdfs:label>Field</rdfs:label>
        <rdfs:subPropertyOf rdf:resource="http://www.w3.org/2000/01/rdf-schema#label"/>
    </owl:AnnotationProperty>
    


    <!-- http://www.semanticweb.org/ontologies/ntua/iccs/dbschema#dbTable -->

    <owl:AnnotationProperty rdf:about="http://www.semanticweb.org/ontologies/ntua/iccs/dbschema#dbTable">
        <rdfs:comment>The name or TABLE</rdfs:comment>
        <rdfs:label>Table</rdfs:label>
        <rdfs:subPropertyOf rdf:resource="http://www.w3.org/2000/01/rdf-schema#label"/>
    </owl:AnnotationProperty>
    


    <!-- 
    ///////////////////////////////////////////////////////////////////////////////////////
    //
    // Object Properties
    //
    ///////////////////////////////////////////////////////////////////////////////////////
     -->

    


    <!-- http://www.semanticweb.org/ontologies/ntua/iccs/dbschema#attribute -->

    <owl:ObjectProperty rdf:about="http://www.semanticweb.org/ontologies/ntua/iccs/dbschema#attribute">
        <rdfs:subPropertyOf rdf:resource="http://www.w3.org/2002/07/owl#topObjectProperty"/>
        <rdfs:domain rdf:resource="http://www.semanticweb.org/ontologies/ntua/iccs/dbschema#C-with-OP"/>
        <rdfs:range rdf:resource="http://www.semanticweb.org/ontologies/ntua/iccs/dbschema#C-without-OP"/>
        <owl:propertyDisjointWith rdf:resource="http://www.semanticweb.org/ontologies/ntua/iccs/dbschema#relation"/>
        <rdfs:comment>This property is being used for linking an individual from C-with-OP with another one from C-without-OP.

Taking into account that the C-without-OP class often encompasses controlled vocabularies being used in datasource, the properties that belong to this category are often being used to denote that an attribute of a class is being captured by a coded element. </rdfs:comment>
        <rdfs:label>Attribute</rdfs:label>
    </owl:ObjectProperty>
    


    <!-- http://www.semanticweb.org/ontologies/ntua/iccs/dbschema#relation -->

    <owl:ObjectProperty rdf:about="http://www.semanticweb.org/ontologies/ntua/iccs/dbschema#relation">
        <rdfs:subPropertyOf rdf:resource="http://www.w3.org/2002/07/owl#topObjectProperty"/>
        <rdfs:domain rdf:resource="http://www.semanticweb.org/ontologies/ntua/iccs/dbschema#C-with-OP"/>
        <rdfs:range rdf:resource="http://www.semanticweb.org/ontologies/ntua/iccs/dbschema#C-with-OP"/>
        <rdfs:comment>This property is being used for linking an individual from C-with-OP with another one also from C-with-OP class.

Taking into account that the C-with-OP class often encompasses data structures being used for capturing user data, the properties that belong to this category are often being used to specify the relation among them.</rdfs:comment>
        <rdfs:label>Relation</rdfs:label>
    </owl:ObjectProperty>
    


    <!-- 
    ///////////////////////////////////////////////////////////////////////////////////////
    //
    // Data properties
    //
    ///////////////////////////////////////////////////////////////////////////////////////
     -->

    


    <!-- http://www.semanticweb.org/ontologies/ntua/iccs/dbschema#booleanValue -->

    <owl:DatatypeProperty rdf:about="http://www.semanticweb.org/ontologies/ntua/iccs/dbschema#booleanValue">
        <rdfs:subPropertyOf rdf:resource="http://www.semanticweb.org/ontologies/ntua/iccs/dbschema#dataValue"/>
        <rdfs:range rdf:resource="http://www.w3.org/2001/XMLSchema#boolean"/>
        <rdfs:comment>Something evaluated to true or false.</rdfs:comment>
        <rdfs:label>Boolean Value</rdfs:label>
    </owl:DatatypeProperty>
    


    <!-- http://www.semanticweb.org/ontologies/ntua/iccs/dbschema#charValue -->

    <owl:DatatypeProperty rdf:about="http://www.semanticweb.org/ontologies/ntua/iccs/dbschema#charValue">
        <rdfs:subPropertyOf rdf:resource="http://www.semanticweb.org/ontologies/ntua/iccs/dbschema#dataValue"/>
        <rdfs:range rdf:resource="http://www.w3.org/2001/XMLSchema#string"/>
        <rdfs:comment>A property the value of which captured by a single character.</rdfs:comment>
        <rdfs:label>Char Value</rdfs:label>
    </owl:DatatypeProperty>
    


    <!-- http://www.semanticweb.org/ontologies/ntua/iccs/dbschema#dataValue -->

    <owl:DatatypeProperty rdf:about="http://www.semanticweb.org/ontologies/ntua/iccs/dbschema#dataValue">
        <owl:propertyDisjointWith rdf:resource="http://www.semanticweb.org/ontologies/ntua/iccs/dbschema#identifier"/>
        <rdfs:comment>The value of a property described by a primitive data type. 

More than one instances may possibly have the same value.</rdfs:comment>
        <rdfs:label>Data Value</rdfs:label>
    </owl:DatatypeProperty>
    


    <!-- http://www.semanticweb.org/ontologies/ntua/iccs/dbschema#datetimeValue -->

    <owl:DatatypeProperty rdf:about="http://www.semanticweb.org/ontologies/ntua/iccs/dbschema#datetimeValue">
        <rdfs:subPropertyOf rdf:resource="http://www.semanticweb.org/ontologies/ntua/iccs/dbschema#dataValue"/>
        <rdfs:range rdf:resource="http://www.w3.org/2001/XMLSchema#dateTime"/>
        <rdfs:comment>The date and / or time in which an event took place.</rdfs:comment>
        <rdfs:label>Date/Time Value</rdfs:label>
    </owl:DatatypeProperty>
    


    <!-- http://www.semanticweb.org/ontologies/ntua/iccs/dbschema#identifier -->

    <owl:DatatypeProperty rdf:about="http://www.semanticweb.org/ontologies/ntua/iccs/dbschema#identifier">
        <rdfs:comment>A unique identifier within a specific context.</rdfs:comment>
        <rdfs:label>Identifier</rdfs:label>
    </owl:DatatypeProperty>
    


    <!-- http://www.semanticweb.org/ontologies/ntua/iccs/dbschema#identifier-C-with-OP -->

    <owl:DatatypeProperty rdf:about="http://www.semanticweb.org/ontologies/ntua/iccs/dbschema#identifier-C-with-OP">
        <rdfs:subPropertyOf rdf:resource="http://www.semanticweb.org/ontologies/ntua/iccs/dbschema#identifier"/>
        <rdfs:domain rdf:resource="http://www.semanticweb.org/ontologies/ntua/iccs/dbschema#C-with-OP"/>
        <owl:propertyDisjointWith rdf:resource="http://www.semanticweb.org/ontologies/ntua/iccs/dbschema#identifier-C-without-OP"/>
        <rdfs:comment>A unique identifier for an individual of C-with-OP class.</rdfs:comment>
        <rdfs:label>Identifier For C-with-OP</rdfs:label>
    </owl:DatatypeProperty>
    


    <!-- http://www.semanticweb.org/ontologies/ntua/iccs/dbschema#identifier-C-without-OP -->

    <owl:DatatypeProperty rdf:about="http://www.semanticweb.org/ontologies/ntua/iccs/dbschema#identifier-C-without-OP">
        <rdfs:subPropertyOf rdf:resource="http://www.semanticweb.org/ontologies/ntua/iccs/dbschema#identifier"/>
        <rdfs:domain rdf:resource="http://www.semanticweb.org/ontologies/ntua/iccs/dbschema#C-without-OP"/>
        <rdfs:comment>A unique identifier for an individual of C-without-OP class.</rdfs:comment>
        <rdfs:label>Identifier For C-without-OP</rdfs:label>
    </owl:DatatypeProperty>
    


    <!-- http://www.semanticweb.org/ontologies/ntua/iccs/dbschema#numericValue -->

    <owl:DatatypeProperty rdf:about="http://www.semanticweb.org/ontologies/ntua/iccs/dbschema#numericValue">
        <rdfs:subPropertyOf rdf:resource="http://www.semanticweb.org/ontologies/ntua/iccs/dbschema#dataValue"/>
        <rdfs:range>
            <rdfs:Datatype>
                <owl:unionOf rdf:parseType="Collection">
                    <rdf:Description rdf:about="http://www.w3.org/2001/XMLSchema#double"/>
                    <rdf:Description rdf:about="http://www.w3.org/2001/XMLSchema#float"/>
                    <rdf:Description rdf:about="http://www.w3.org/2001/XMLSchema#int"/>
                    <rdf:Description rdf:about="http://www.w3.org/2001/XMLSchema#integer"/>
                    <rdf:Description rdf:about="http://www.w3.org/2001/XMLSchema#long"/>
                    <rdf:Description rdf:about="http://www.w3.org/2001/XMLSchema#short"/>
                    <rdf:Description rdf:about="http://www.w3.org/2002/07/owl#real"/>
                </owl:unionOf>
            </rdfs:Datatype>
        </rdfs:range>
        <rdfs:comment>Something the value of which captured by a number such as integer, float, etc.</rdfs:comment>
        <rdfs:label>Numeric Value</rdfs:label>
    </owl:DatatypeProperty>
    


    <!-- http://www.semanticweb.org/ontologies/ntua/iccs/dbschema#otherValue -->

    <owl:DatatypeProperty rdf:about="http://www.semanticweb.org/ontologies/ntua/iccs/dbschema#otherValue">
        <rdfs:subPropertyOf rdf:resource="http://www.semanticweb.org/ontologies/ntua/iccs/dbschema#dataValue"/>
        <rdfs:comment>The value of properties not classified in the rest ones (probably since it is not defined).</rdfs:comment>
        <rdfs:label>Other Value</rdfs:label>
    </owl:DatatypeProperty>
    


    <!-- http://www.semanticweb.org/ontologies/ntua/iccs/dbschema#pk-C-with-OP -->

    <owl:DatatypeProperty rdf:about="http://www.semanticweb.org/ontologies/ntua/iccs/dbschema#pk-C-with-OP">
        <rdfs:subPropertyOf rdf:resource="http://www.semanticweb.org/ontologies/ntua/iccs/dbschema#identifier-C-with-OP"/>
        <rdfs:comment>The primary key for an individual of C-with-OP class.</rdfs:comment>
        <rdfs:label>Primary Key For C-with-OP</rdfs:label>
    </owl:DatatypeProperty>
    


    <!-- http://www.semanticweb.org/ontologies/ntua/iccs/dbschema#pk-C-without-OP -->

    <owl:DatatypeProperty rdf:about="http://www.semanticweb.org/ontologies/ntua/iccs/dbschema#pk-C-without-OP">
        <rdfs:subPropertyOf rdf:resource="http://www.semanticweb.org/ontologies/ntua/iccs/dbschema#identifier-C-without-OP"/>
        <rdfs:comment>The primary key for an individual of C-without-OP class.</rdfs:comment>
        <rdfs:label>Primary Key For C-without-OP</rdfs:label>
    </owl:DatatypeProperty>
    


    <!-- http://www.semanticweb.org/ontologies/ntua/iccs/dbschema#stringValue -->

    <owl:DatatypeProperty rdf:about="http://www.semanticweb.org/ontologies/ntua/iccs/dbschema#stringValue">
        <rdfs:subPropertyOf rdf:resource="http://www.semanticweb.org/ontologies/ntua/iccs/dbschema#dataValue"/>
        <rdfs:range rdf:resource="http://www.w3.org/2001/XMLSchema#string"/>
        <rdfs:comment>A property the value of which captured by a sequence of characters.</rdfs:comment>
        <rdfs:label>String value</rdfs:label>
    </owl:DatatypeProperty>
    


    <!-- 
    ///////////////////////////////////////////////////////////////////////////////////////
    //
    // Classes
    //
    ///////////////////////////////////////////////////////////////////////////////////////
     -->

    


    <!-- http://www.semanticweb.org/ontologies/ntua/iccs/dbschema#C-with-OP -->

    <owl:Class rdf:about="http://www.semanticweb.org/ontologies/ntua/iccs/dbschema#C-with-OP">
        <rdfs:subClassOf rdf:resource="http://www.semanticweb.org/ontologies/ntua/iccs/dbschema#Schema"/>
        <owl:disjointWith rdf:resource="http://www.semanticweb.org/ontologies/ntua/iccs/dbschema#C-without-OP"/>
        <rdfs:comment>This category encompasses such classes for which there is AT LEAST one Object Property with the same Domain.

Data structures being used for capturing USER DATA are often belong to this class.</rdfs:comment>
        <rdfs:label>Class with Object Property</rdfs:label>
    </owl:Class>
    


    <!-- http://www.semanticweb.org/ontologies/ntua/iccs/dbschema#C-without-OP -->

    <owl:Class rdf:about="http://www.semanticweb.org/ontologies/ntua/iccs/dbschema#C-without-OP">
        <rdfs:subClassOf rdf:resource="http://www.semanticweb.org/ontologies/ntua/iccs/dbschema#Schema"/>
        <rdfs:comment>This category encompasses such classes for which there is NO available Object Property with the same Domain.

Controlled VOCABULARIES (available set of terms) often belong to this category.</rdfs:comment>
        <rdfs:label>Class without Object Property</rdfs:label>
    </owl:Class>
    


    <!-- http://www.semanticweb.org/ontologies/ntua/iccs/dbschema#Schema -->

    <owl:Class rdf:about="http://www.semanticweb.org/ontologies/ntua/iccs/dbschema#Schema"/>
</rdf:RDF>



<!-- Generated by the OWL API (version 4.5.26.2023-07-17T20:34:13Z) https://github.com/owlcs/owlapi -->

